Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.evaluation
Class EvalExercise

    java.lang.Object
      mauda.SimpleExercise
          mauda.Exercise
              mauda.evaluation.EvalExercise

All Implemented Interfaces:
  ExerciseUpdateListener

    public class EvalExercise

extends Exercise
implements ExerciseUpdateListener

Extends the Exercise-Class by evaluation-specific methods.

Author:
  Markus Krebs

Field Summary

Fields inherited from class mauda.Exercise
`BOTHOPERATION, compPanel, controlPanel, interactive, jedasPanel, NOPOPUP, OPERATION, opsToAnimate, quickAnim, scheduler, SUBOPERATION`

Fields inherited from class mauda.SimpleExercise
`availableOperations, availableSubOperations, operationExecuter`

Constructor Summary
`EvalExercise(java.lang.String type)` Creates an EvalExercise

Method Summary
`void` | `exerciseUpdate(ExerciseUpdateEvent e)` Invoked when an Event occures
`CommentView` | `getCommentView()` Returns the used CommentView
`TreeOperationView` | `getTreeOperationView()` Returns the used TreeOperationView
`boolean` | `loadCompleted(java.util.HashMap ht)` Loads an exercise that was completely processed by a student.
`void` | `saveEvaluated(java.lang.String filename)` Saves an evaluated exercise to the given filename

Methods inherited from class mauda.Exercise
`actionsAllowed, addFullLoadedMessage, animate, back, commit, commit, commit, commit, commitInteractive, forward, getInteractiveMode, getUndoRedo, isModified, isReadyToSave, jumpToBeginning, jumpToEnd, load, redo, reset, save, setActionsAllowed, setDifficulty, setInteractiveMode, setMode, setModified, setQuickAnim, stopPlaying, switchTo, undo`

Methods inherited from class mauda.SimpleExercise
`addExerciseUpdateListener, addExerciseUpdateListenerFirst, getAvailableOperations, getAvailableSubOperations, getDataDirectory, getDefaultFilename, getDifficulty, getDSObject, getFilename, getMetaData, getMode, getOperationExecuter, getOperationRecorder, getPlugInHandler, init, load, loadConfig, operationExecuted, removeExerciseUpdateListener, sendExerciseUpdateMessages, setAvailableOperations, setAvailableSubOperations, setDataDirectory, setDefaultFilename, setDSObject, setFilename, setMetaData, setOperationExecuter, setPlugInHandler, updateMetaDataInitTodoRating`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EvalExercise

    public EvalExercise(java.lang.String type)

  Creates an EvalExercise

  Parameters:
    `type` - The plugin-type, e.g. FibHeap

Method Detail

### getTreeOperationView

    public TreeOperationView getTreeOperationView()

  Returns the used TreeOperationView

  Returns:
    TreeOperationView

### getCommentView

    public CommentView getCommentView()

  Returns the used CommentView

  Returns:
    CommentView

### loadCompleted

    public boolean loadCompleted(java.util.HashMap ht)

  Loads an exercise that was completely processed by a student.

  Parameters:
    `ht` - The Hash-Map-Representation of the exercise.
  Returns:
    true, if loading was successful, else false

### exerciseUpdate

    public void exerciseUpdate(ExerciseUpdateEvent e)

  Description copied from interface: `ExerciseUpdateListener`
  Invoked when an Event occures

  Specified by:
    `exerciseUpdate` in interface `ExerciseUpdateListener`
  Parameters:
    `e` - The event

### saveEvaluated

    public void saveEvaluated(java.lang.String filename)

  Saves an evaluated exercise to the given filename

  Parameters:
    `filename` - The filename to save the exercise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD